tkcvs (8.2.3-6) unstable; urgency=high

  * QA upload.
  * Also add other contributors to debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Jul 2025 11:30:52 +0200

tkcvs (8.2.3-5) unstable; urgency=high

  * QA upload.
  * Fix debian/copyright, original author was missing.
    See https://sourceforge.net/p/tkcvs/bugs/160/
    https://sourceforge.net/p/tkdiff/bugs/100/

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Jul 2025 10:43:40 +0200

tkcvs (8.2.3-4) unstable; urgency=medium

  * Orphan the package. (See #1076093)

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jul 2024 11:58:31 -0400

tkcvs (8.2.3-3) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0.
  * debian/control: Adds Vcs-* fields.
  * debian/tkcvs.menu: Dropped per tech-ctte decision.
  * src: Revert to original upstream version.
  * Bump debhelper compat to v13 and convert to DebSrc3.0.
    (Closes: #1007417)
  * debian/patches: Recover carried debian patches.
  * debian/rules: Migrate to dh13 syntax.
  * debian/control: Update homepage and point to SourceForge.
  * debian/watch: Monitor SourceForge project.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Apr 2024 21:31:47 -0400

tkcvs (8.2.3-2) unstable; urgency=medium

  * Take over package maintenance via ITS process. (Closes: #1067205)

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Apr 2024 00:00:14 -0400

tkcvs (8.2.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for Debian Buster.
  * debian/control:
    + Replace dependency on transitional package
      ttf-dejavu with fonts-dejavu.
    + Add missing dependency on sensible-utils. (lintian)

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Feb 2019 14:15:01 -0500

tkcvs (8.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix tk depencencies (Closes: #725768).
  * Add explicit debian/source/format.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 18 Dec 2016 22:28:56 +0500

tkcvs (8.2.3-1) unstable; urgency=low

  * New upstream version
  * Updated to standards 3.9.3
  * Provides tkdiff (Closes: #675352)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Fri, 08 Jun 2012 22:25:55 +0100

tkcvs (8.2.1-2) unstable; urgency=low

  * Updated to standards 3.8.4

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Wed, 26 May 2010 20:45:30 +0200

tkcvs (8.2.1-1) unstable; urgency=low

  * New upstream version (Closes: #580191)
  * Change package section to vcs
  * Remove conflict with tkdiff, but keep 'Replaces' (Closes: #545106)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Wed, 26 May 2010 09:25:49 +0200

tkcvs (8.2-1) unstable; urgency=low

  * New upstream version
  * Updated to policy 3.8.2
  * Removed conflict with tk8.3 (Closes: #517897)
  * Change the suggested tag date format to avoid locale issues
    (Closes: #412987)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Wed, 12 Aug 2009 17:33:08 +0200

tkcvs (8.1-5) unstable; urgency=low

  * Accidentally missed out tkdiff (Closes: #502922)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Tue, 21 Oct 2008 17:52:14 +0200

tkcvs (8.1-4) unstable; urgency=low

  * Allow tkcvs to work with either tk8.4 or tk8.5 (Closes: #502545)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Sat, 18 Oct 2008 20:57:34 +0200

tkcvs (8.1-3) unstable; urgency=low

  * Patch from Alexander Galinin to fix merge
    within a branch (Closes: #501256)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Mon, 06 Oct 2008 10:40:51 +0200

tkcvs (8.1-2) unstable; urgency=low

  * Updated policy to 3.8.0
  * Fixed bashism in contrib script (Closes: #489666)
  * Fixed a couple of lintian warnings

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Fri, 05 Sep 2008 14:12:42 +0200

tkcvs (8.1-1) unstable; urgency=low

  * New upstream version (Closes: #485923)
  * Moved to tk8.5
  * Updated standards to 3.7.3
  * Revised menu location according to policy
  * Added short description to tkdirdiff manpage
  * tkdiff is now being provided by tkcvs internally

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Thu, 12 Jun 2008 12:34:36 +0200

tkcvs (8.0.4-2) unstable; urgency=low

  * Fixed bug in cvscfg(editor) handling, which caused .tkcvs to grow
    (Closes: #442111)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Sat, 15 Sep 2007 08:52:42 +0100

tkcvs (8.0.4-1) unstable; urgency=low

  * New upstream version (Closes: #375686, #399391)
  * New tkdirdiff program
  * Fixed some minor errors in packaging flagged up by lintian
  * Menu entry correctly removed on package removal (Closes: #417572)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Mon, 13 Aug 2007 18:31:15 +0100


tkcvs (8.0.3-3) unstable; urgency=low


  * Included desktop icon patch from Ubuntu (Closes: #368824)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Tue,  3 Oct 2006 09:21:57 +0100

tkcvs (8.0.3-2) unstable; urgency=low

  * Updated to policy 3.7.2

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Tue,  3 Oct 2006 09:06:16 +0100

tkcvs (8.0.3-1) unstable; urgency=low

  * New upstream release, fixes some problems with SVN repositories
    (Closes: #359222)

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Sun, 14 May 2006 11:06:19 +0100

tkcvs (8.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #349866)
  * Updated to DH_COMPAT=4

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Tue,  7 Feb 2006 13:49:20 +0000

tkcvs (7.2.4-1) unstable; urgency=low

  * New upstream release.
  * Updated to standards version 3.6.2

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Tue, 30 Aug 2005 14:25:57 +0100

tkcvs (7.2.2-1) unstable; urgency=low

  * New upstream release.  Closes: #282193

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Thu, 25 Nov 2004 21:13:39 +0000

tkcvs (7.2.1-1) unstable; urgency=low

  * New maintainer
  * New upstream release
  * Added alternative xterm dependency for x-terminal-emulator, in
    accordance with policy
  * Changed deprecated use of dh_installmanpages to dh_installman
  * Removed conffiles file, now that debhelper treats /etc files as
    conffiles anyway
  * /etc/tkcvs/tkcvs_def.tcl sets a default date format.  Not setting
    it in .tkcvs is not a problem.  Closes: #152060.

 -- Tim Cutts <timc@chiark.greenend.org.uk>  Tue, 13 Jul 2004 20:40:12 +0100

tkcvs (7.2-2) unstable; urgency=low

  * Orphaned.

 -- Joel Rosdahl <joel@debian.org>  Sun,  4 Apr 2004 20:49:59 +0200

tkcvs (7.2-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.6.1.
  * Files beginning with ~ aren't listed as unknown. Closes: bug#131829.
  * The vertical scrollbar is updated correctly when the file list is
    sorted. Closes: bug#170957.

 -- Joel Rosdahl <joel@debian.org>  Sun, 11 Jan 2004 12:47:37 +0100

tkcvs (7.1.4-1) unstable; urgency=low

  * New upstream release.
  * tkcvs no longer hangs due to incompatibility with current CVS
    versions. Closes: bug#219593.
  * Depend on Tcl/Tk 8.4 instead of 8.3. Closes: bug#219749.
  * Standards-Version 3.6.0.

 -- Joel Rosdahl <joel@debian.org>  Mon, 10 Nov 2003 20:24:37 +0100

tkcvs (7.1.2-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.5.8.

 -- Joel Rosdahl <joel@debian.org>  Sat, 25 Jan 2003 22:36:50 +0100

tkcvs (7.1.1-2) unstable; urgency=low

  * Fixed tkdiff command name in configuration file; upstream now defaults
    to its own "tkdiffb".

 -- Joel Rosdahl <joel@debian.org>  Thu, 28 Nov 2002 19:18:17 +0100

tkcvs (7.1.1-1) unstable; urgency=low

  * New upstream release. Closes: bug#139196, bug#139199, bug#139200
    and bug#139202.

 -- Joel Rosdahl <joel@debian.org>  Mon, 25 Nov 2002 22:42:49 +0100

tkcvs (7.0.3-1) unstable; urgency=low

  * New upstream version.  Closes: bug#131824.

 -- Joel Rosdahl <joel@debian.org>  Fri,  1 Feb 2002 20:53:43 +0100

tkcvs (7.0.2-2) unstable; urgency=low

  * Changes to the menu entry (closes: bug#121002):
    - Moved to section Apps/Programming.
    - Added menu hint: "cvs".
    - Added long title.

 -- Joel Rosdahl <joel@debian.org>  Sun, 25 Nov 2001 10:12:43 +0100

tkcvs (7.0.2-1) unstable; urgency=low

  * New upstream version.
  * Moved debconf note to README.debian (should please Joey Hess :-)).
  * Standards-Version: 3.5.6.
  * Changed Build-Depends to Build-Depends-Indep, as this is an
    architecture-independent package.
  * Default to running sensible-editor in an x-terminal-emulator.

 -- Joel Rosdahl <joel@debian.org>  Mon,  5 Nov 2001 19:56:05 +0100

tkcvs (7.0.1-1) unstable; urgency=low

  * New upstream version.  Closes: bug#99879.
  * Removed INSTALL and README.windows from doc dir.
  * The module browser works much better without special tagging.  Closes:
    bug#84318.
  * Switched to DH_COMPAT=3.
  * Standards-Version 3.5.6.

 -- Joel Rosdahl <joel@debian.org>  Sat,  6 Oct 2001 23:24:53 +0200

tkcvs (6.4-4) unstable; urgency=low

  * Added German translation of debconf templates.  Closes: bug#94851.
  * Removed dh_suidregister from debian/rules.
  * Source debconf confmodule in postinst.

 -- Joel Rosdahl <joel@debian.org>  Tue,  1 May 2001 21:57:52 +0200

tkcvs (6.4-3) unstable; urgency=low

  * Translated debconf templates to Swedish.
  * Standards-Version: 3.2.1.

 -- Joel Rosdahl <joel@debian.org>  Thu, 25 Jan 2001 21:31:31 +0100

tkcvs (6.4-2) unstable; urgency=low

  * Included more docs and the upstream changelog.

 -- Joel Rosdahl <joel@debian.org>  Mon, 16 Oct 2000 21:36:08 +0200

tkcvs (6.4-1) unstable; urgency=low

  * New upstream version.

 -- Joel Rosdahl <joel@debian.org>  Mon, 16 Oct 2000 21:31:22 +0200

tkcvs (6.3-1) unstable; urgency=low

  * New upstream version.

 -- Joel Rosdahl <joel@debian.org>  Sun,  3 Sep 2000 13:07:29 +0200

tkcvs (6.0p6.3b3-3) unstable; urgency=low

  * Improved build target in debian/rules.
  * Added Build-Depends field to debian/control.

 -- Joel Rosdahl <joel@debian.org>  Sat, 13 May 2000 00:21:32 +0200

tkcvs (6.0p6.3b3-2) unstable; urgency=low

  * Use x-terminal-emulator instead of xterm.  Fixes bug#61383.

 -- Joel Rosdahl <joel@debian.org>  Thu, 30 Mar 2000 15:10:52 +0200

tkcvs (6.0p6.3b3-1) unstable; urgency=low

  * New version.

 -- Joel Rosdahl <joel@debian.org>  Sat, 11 Mar 2000 20:05:35 +0100

tkcvs (6.0p6.2b3-1) unstable; urgency=low

  * New version.

 -- Joel Rosdahl <joel@debian.org>  Fri,  3 Dec 1999 14:04:41 +0100

tkcvs (6.0p6.1a8-2) unstable; urgency=low

  * Added URL in /usr/doc/tkcvs/copyright.
  * Clean up build tree to get a smaller diff.
  * Put library files in /usr/share/tkcvs.
  * Standards-version 3.0.1.

 -- Joel Rosdahl <joel@debian.org>  Sun, 19 Sep 1999 20:03:37 +0200

tkcvs (6.0p6.1a8-1) unstable; urgency=low

  * New version.
  * Recommend xterm instead of depend on xbase.

 -- Joel Rosdahl <joel@debian.org>  Thu, 21 Jan 1999 20:35:58 +0100

tkcvs (6.0p6.1a7-1) unstable; urgency=low

  * New upstream version.

 -- Joel Rosdahl <joel@debian.org>  Fri, 30 Oct 1998 20:50:50 +0100

tkcvs (6.0p6.1a3-1) unstable; urgency=low

  * New version (fixes bug #26981).
  * Removed deprecated icon tag in the menu entry.

 -- Joel Rosdahl <joel@debian.org>  Sat, 26 Sep 1998 17:03:06 +0200

tkcvs (6.0-12) unstable; urgency=low

  * Converted to debhelper.
  * Standards-Version 2.4.1

 -- Joel Rosdahl <joel@debian.org>  Sun, 26 Jul 1998 17:14:17 +0200

tkcvs (6.0-11) unstable; urgency=low

  * Fixed an unterminated string (bug #23885)

 -- Joel Rosdahl <joel@debian.org>  Fri, 26 Jun 1998 00:28:17 +0200

tkcvs (6.0-10) unstable; urgency=low

  * Changed parameter usage in call of tkdiff (bug #23266)

 -- Joel Rosdahl <joel@debian.org>  Tue,  9 Jun 1998 01:35:01 +0200

tkcvs (6.0-9) frozen unstable; urgency=low

  * Aaargh, forgot to upload to frozen.  :P

 -- Joel Rosdahl <joel@debian.org>  Sun, 19 Apr 1998 18:06:10 +0200

tkcvs (6.0-8) unstable; urgency=low

  * Moved back to main, because tkdiff changed from non-free to main.

 -- Joel Rosdahl <joel@debian.org>  Sun, 19 Apr 1998 17:56:17 +0200

tkcvs (6.0-7) unstable; urgency=low

  * Fixed flags on /usr/lib/tkcvs/venget.tcl
  * Fixed so that /usr/man/man1/tkcvs.1.gz is in md5sums

 -- Joel Rosdahl <joel@debian.org>  Sun,  8 Mar 1998 21:32:25 +0100

tkcvs (6.0-6) unstable; urgency=low

  * Moved /usr/bin/cvscheck to /usr/lib/tkcvs/cvscheck
  * Fixed file permissions
  * Standards-Version 2.4.0.0

 -- Joel Rosdahl <joel@debian.org>  Sun,  8 Mar 1998 11:42:53 +0100

tkcvs (6.0-5) unstable; urgency=low

  * Rebuilt with debmake 3.5.8 to fix md5sums

 -- Joel Rosdahl <joel@debian.org>  Wed, 28 Jan 1998 11:00:27 +0100

tkcvs (6.0-4) unstable; urgency=low

  * Patched the default config file (/etc/tkcvs/tkcvs_def.tcl) to pop up an
    error box if $CVSROOT is not set (closes bug #16701)
  * Added a line of text (about CVSROOT) to the postinst script

 -- Joel Rosdahl <joel@debian.org>  Fri,  9 Jan 1998 14:08:46 +0100

tkcvs (6.0-3) unstable; urgency=low

  * Moved to contrib because of dependency of non-free tkdiff
  * Standards-version 2.3.0.1

 -- Joel Rosdahl <joel@debian.org>  Tue,  6 Jan 1998 10:48:55 +0100

tkcvs (6.0-2) unstable; urgency=low

  * Fixed default editor

 -- Joel Rosdahl <joel@debian.org>  Thu, 11 Dec 1997 11:54:39 +0100

tkcvs (6.0-1) unstable; urgency=low

  * Initial Release.

 -- Joel Rosdahl <joel@debian.org>  Wed, 26 Nov 1997 08:52:45 +0100
